Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.slide.transaction
Class ExternalTransactionContext

    java.lang.Object
      org.apache.slide.transaction.ExternalTransactionContext

public class ExternalTransactionContext
extends java.lang.Object

Context for external transaction started an controlled by clients.

Field Summary
`protected int` | `status`
`protected javax.transaction.Transaction` | `transaction`
`protected static java.util.Map` | `transactions`
`protected java.lang.Object` | `txId`

Constructor Summary
`protected` | `ExternalTransactionContext(javax.transaction.Transaction transaction, java.lang.Object txId)`

Method Summary
`static void` | `deregisterContext(java.lang.Object txId)`
`int` | `getStatus()`
`javax.transaction.Transaction` | `getTransaction()`
`static ExternalTransactionContext` | `lookupContext(java.lang.Object txId)`
`static void` | `registerContext(java.lang.Object txId, javax.transaction.Transaction transaction)`
`void` | `setStatus(int i)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### transactions

    protected static java.util.Map transactions

### transaction

    protected javax.transaction.Transaction transaction

### txId

    protected java.lang.Object txId

### status

    protected volatile int status

Constructor Detail

### ExternalTransactionContext

    protected ExternalTransactionContext(javax.transaction.Transaction transaction,
                                         java.lang.Object txId)

Method Detail

### registerContext

    public static void registerContext(java.lang.Object txId,
                                       javax.transaction.Transaction transaction)

### lookupContext

    public static ExternalTransactionContext lookupContext(java.lang.Object txId)

### deregisterContext

    public static void deregisterContext(java.lang.Object txId)

### getStatus

    public int getStatus()

  Returns:

### setStatus

    public void setStatus(int i)

  Parameters:
    `i` -

### getTransaction

    public javax.transaction.Transaction getTransaction()

  Returns:

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD